| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IPersistencySvc Class Reference

`#include <GaudiKernel/IPersistencySvc.h>`

Inheritance diagram for IPersistencySvc:

[legend]
Collaboration diagram for IPersistencySvc:

[legend]
List of all members.

## Detailed Description

Data persistency service interface.

Author:
  Markus Frank

Version:
  1.0

Definition at line 24 of file IPersistencySvc.h.

## Public Member Functions
virtual StatusCode | setDefaultCnvService (long type)=0
| Set default service type.
virtual StatusCode | addCnvService (IConversionSvc *service)=0
| Add new Conversion Service.
virtual StatusCode | removeCnvService (long type)=0
| Remove Conversion Service.
virtual StatusCode | getService (long service_type, IConversionSvc *&refpSvc)=0
| Retrieve conversion service identified by technology.
virtual StatusCode | getService (const std::string &service_type, IConversionSvc *&refpSvc)=0
| Retrieve conversion service identified by technology.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IPersistencySvc::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 28 of file IPersistencySvc.h.

References IID_IPersistencySvc.

    00028 { return IID_IPersistencySvc; }

virtual StatusCode IPersistencySvc::setDefaultCnvService | ( | long | type | ) | `[pure virtual]`

Set default service type.

Returns:
  Status code indicating success or failure.

Parameters:

  | type | Storage technology type.

Implemented in PersistencySvc.

virtual StatusCode IPersistencySvc::addCnvService | ( | IConversionSvc * | service | ) | `[pure virtual]`

Add new Conversion Service.

Returns:
  Status code indicating success or failure.

Parameters:

  | service | Pointer to conversion service interface.

Implemented in PersistencySvc.

virtual StatusCode IPersistencySvc::removeCnvService | ( | long | type | ) | `[pure virtual]`

Remove Conversion Service.

Returns:
  Status code indicating success or failure.

Parameters:

  | type | Storage technology type.

Implemented in PersistencySvc.

virtual StatusCode IPersistencySvc::getService | ( | long | service_type,
|  | IConversionSvc *& | refpSvc |
| ) |  |  | `[pure virtual]`

Retrieve conversion service identified by technology.

Returns:
  Status code indicating success or failure.

Parameters:

  | service_type | Storage technology type.
  | refpSvc | Reference to pointer to interface of required service.

Implemented in PersistencySvc.

virtual StatusCode IPersistencySvc::getService | ( | const std::string & | service_type,
|  | IConversionSvc *& | refpSvc |
| ) |  |  | `[pure virtual]`

Retrieve conversion service identified by technology.

Returns:
  Status code indicating success or failure.

Parameters:

  | service_type | Storage technology type (ROOT, MS Access, ....)
  | refpSvc | Reference to pointer to interface of required service.

Implemented in PersistencySvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IPersistencySvc.h